Skip to main content
PATCH
Update Patient

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

Query Parameters

expand[]
enum<string>[] | null

Fields to expand in the response

Allowed expand values for patient endpoints

Available options:
tags,
workflow_stage,
assigned_user,
referrals,
payors,
external_id_values

Body

application/json

Request model for updating a patient with optimistic locking

first_name
string | null

Patient's first name

middle_name
string | null

Patient's middle name

last_name
string | null

Patient's last name

phone_number
string | null

Patient's phone number

additional_phone_number
string | null

Patient's additional phone number

email
string | null

Patient's email address

date_of_birth
string<date> | null

Patient's date of birth (YYYY-MM-DD, MM/DD/YYYY, YYYYMMDD)

gender
enum<string> | null

Patient's gender

Available options:
male,
female,
other
address
string | null

Patient's street address

address2
string | null

Patient's address line 2

city
string | null

Patient's city

state
enum<string> | null

Patient's state

Available options:
alabama,
alaska,
arizona,
arkansas,
california,
colorado,
connecticut,
delaware,
florida,
georgia,
hawaii,
idaho,
illinois,
indiana,
iowa,
kansas,
kentucky,
louisiana,
maine,
maryland,
massachusetts,
michigan,
minnesota,
mississippi,
missouri,
montana,
nebraska,
nevada,
new_hampshire,
new_jersey,
new_mexico,
new_york,
north_carolina,
north_dakota,
ohio,
oklahoma,
oregon,
pennsylvania,
rhode_island,
south_carolina,
south_dakota,
tennessee,
texas,
utah,
vermont,
virginia,
washington,
west_virginia,
wisconsin,
wyoming,
district_of_columbia,
puerto_rico,
virgin_islands,
guam,
northern_mariana_islands,
american_samoa
zip
string | null

Patient's ZIP code

workflow_stage_id
string | null

Workflow stage ID or stage name

assigned_user_id
string | null

User ID or user email

location_id
string | null

Company location ID (null clears the location)

organization_id
string | null

Company organization ID (null clears the organization)

active
boolean | null

Patient active status

custom_fields
Custom Fields · object | null

Custom fields as key-value pairs

comments
string | null

Patient comments

tags
string[] | null

Tag IDs or names (replaces existing tags)

add_tags
string[] | null

Tag IDs or names to add without removing existing

remove_tags
string[] | null

Tag IDs or names to remove

referral
ReferralCreateRequest · object | null

Referral information (deprecated — use /v1/referrals endpoints)

payors
PayorUpdateInline · object[] | null

Payors to create/update with the patient

version
integer | null

Current version number for optimistic locking

Response

Successful Response

Patient resource response model.

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
first_name
string | null
last_name
string | null
middle_name
string | null
phone_number
string | null
additional_phone_number
string | null
email
string | null
date_of_birth
string<date> | null
gender
enum<string> | null

Gender enum matching Prisma

Available options:
male,
female,
other
address
string | null
address2
string | null
city
string | null
state
enum<string> | null

US States enum matching Prisma @map values

Available options:
alabama,
alaska,
arizona,
arkansas,
california,
colorado,
connecticut,
delaware,
florida,
georgia,
hawaii,
idaho,
illinois,
indiana,
iowa,
kansas,
kentucky,
louisiana,
maine,
maryland,
massachusetts,
michigan,
minnesota,
mississippi,
missouri,
montana,
nebraska,
nevada,
new_hampshire,
new_jersey,
new_mexico,
new_york,
north_carolina,
north_dakota,
ohio,
oklahoma,
oregon,
pennsylvania,
rhode_island,
south_carolina,
south_dakota,
tennessee,
texas,
utah,
vermont,
virginia,
washington,
west_virginia,
wisconsin,
wyoming,
district_of_columbia,
puerto_rico,
virgin_islands,
guam,
northern_mariana_islands,
american_samoa
zip
string | null
workflow_stage_id
string | null
assigned_user_id
string | null
location_id
string | null
organization_id
string | null
created_from
enum<string> | null

Patient creation source enum matching Prisma

Available options:
form,
call,
api,
file,
sms,
fax,
chat_agent,
manual,
bulk_import,
eligibility,
prior_auth
active
boolean
default:true
version
integer
default:1
first_communication_at
string<date-time> | null
has_sync_completed
boolean | null

Whether a completed external-sync event exists. Populated on patient-list items whose expanded current workflow stage runs external sync; null on other patient responses.

custom_fields
Custom Fields · object | null
comments
string | null
tags
Tag · object[] | null
workflow_stage
WorkflowStageSummary · object | null

Lightweight workflow stage for patient expansion responses.

assigned_user
UserSummary · object | null
referrals
ReferralResponse · object[] | null
payors
Payor · object[] | null
external_id_values
ExternalIdValueResponse · object[] | null